org.apache.commons.ssl

## Class CRLSocket

- java.lang.Object
- - javax.net.SocketFactory
  - - javax.net.ssl.SSLSocketFactory
    - - org.apache.commons.ssl.SSLClient
      - - org.apache.commons.ssl.CRLSocket

    public class CRLSocket
    extends SSLClient

### Field Summary

Fields
`private static CRLSocket` `plainInstance`
`private static CRLSocket` `secureInstance`

### Constructor Summary

Constructors
`private` `CRLSocket()`

### Method Summary

Methods
`static javax.net.SocketFactory` `getDefault()`
`static CRLSocket` `getPlainInstance()`
`static CRLSocket` `getSecureInstance()`
`static void` `main(java.lang.String[] args)`

### Methods inherited from class org.apache.commons.ssl.SSLClient

`addTrustMaterial, createSocket, createSocket, createSocket, createSocket, createSocket, createSocket, createSocket, getAssociatedCertificateChain, getCheckCRL, getCheckExpiry, getCheckHostname, getConnectTimeout, getCurrentServerChain, getDefaultCipherSuites, getDefaultProtocol, getEnabledCiphers, getEnabledProtocols, getHostnameVerifier, getNeedClientAuth, getSoTimeout, getSSLContext, getSSLWrapperFactory, getSupportedCipherSuites, getTrustChain, getUseClientMode, getWantClientAuth, isSecure, setCheckCRL, setCheckExpiry, setCheckHostname, setConnectTimeout, setDefaultProtocol, setDnsOverride, setEnabledCiphers, setEnabledProtocols, setHostnameVerifier, setIsSecure, setKeyMaterial, setNeedClientAuth, setSoTimeout, setSSLWrapperFactory, setTrustMaterial, setUseClientMode, setWantClientAuth, useDefaultJavaCiphers, useStrongCiphers`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### secureInstance

    private static final CRLSocket secureInstance

#### plainInstance

    private static final CRLSocket plainInstance

### Constructor Detail

#### CRLSocket

    private CRLSocket()
               throws java.security.GeneralSecurityException,
                      java.io.IOException

Throws:
  `java.security.GeneralSecurityException`
  `java.io.IOException`

### Method Detail

#### getDefault

    public static javax.net.SocketFactory getDefault()

#### getSecureInstance

    public static CRLSocket getSecureInstance()

#### getPlainInstance

    public static CRLSocket getPlainInstance()

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`